﻿using System;
using System.ServiceModel.Description;
using System.ServiceModel.Web;
using NorthwindServiceHost.Services;

namespace NorthwindServiceHost
{
	class Program
	{
		static void Main(string[] args)
		{
			Uri baseAddress = new Uri("http://localhost:55555/Services/NorthwindService");

			// Create the ServiceHost.
			using (WebServiceHost host = new WebServiceHost(typeof(NorthwindService), baseAddress))
			{
				// Enable metadata publishing.
				ServiceMetadataBehavior smb = new ServiceMetadataBehavior();
				smb.HttpGetEnabled = true;
				smb.MetadataExporter.PolicyVersion = PolicyVersion.Policy15;
				host.Description.Behaviors.Add(smb);

				// Open the ServiceHost to start listening for messages. Since
				// no endpoints are explicitly configured, the runtime will create
				// one endpoint per base address for each service contract implemented
				// by the service.
				host.Open();

				Console.WriteLine("----------------------------------------");
				Console.WriteLine("| Northwind Service is up and running. |");
				Console.WriteLine("| Press <Enter> to stop the service.   |");
				Console.WriteLine("----------------------------------------");
				Console.ReadLine();

				// Close the ServiceHost.
				host.Close();
			}
		}
	}
}
